package cn.jlsxwkj.common.R;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author zh
 * 异常封装类
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ResponseError extends Response {

    /**
     * 标识返回异常
     */
    private String exception;

    public static ResponseError data(String exception) {
        ResponseError r = new ResponseError();
        r.setCode(500);
        r.setMessage("服务器异常");
        r.setException(exception);
        return r;
    }
}
