package cn.jlsxwkj.moudles.logerror;

import cn.jlsxwkj.common.exception.InsertFailException;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author zh
 */
@Service
public class LogErrorService {

    @Resource
    private LogErrorMapper logErrorMapper;

    @Transactional(rollbackFor = InsertFailException.class)
    public void insertOne(LogError logError) throws InsertFailException {
        Integer rows = logErrorMapper.insertOne(logError);
        if (rows < 1) {
            throw new InsertFailException("插入失败");
        }
    }
}
