package cn.jlsxwkj.moudles.userlist;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author zh
 */
@Mapper
public interface UserListMapper {

    @Insert("""
            insert into user_list(user_id, user_name, user_password) 
            values (#{user.userId}, #{user.userName}, #{user.userPassword})
            """)
    Integer authUser(@Param("user") UserList user);

    @Select("""
            select * 
            from user_list
            where user_name = #{userName} 
            and is_deleted = 0
            limit 1
            """)
    UserList checkUser(@Param("userName") String userName);
}
